[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TItemPropList.Add

Appends the specified item to the list.

## Declaration

Source position: valedit.pas line 65

`public procedure TItemPropList.Add(`
`AValue: TItemProp`
`);`

## Arguments

`AValue` |  | Item to add to the container.

## Description

Add is a procedure used to append the specified item to the list. Add appends the TItemProp value in AValue to the internal list for the container. Use Items to access the items in the list by their ordinal position.

Use Insert to insert a new item at a specific ordinal position in the list. Use Delete to remove an item in the container. Use Clear to remove all items in the container.

## See also

TItemPropList.Insert |  | Inserts the new item at the specified position in the container.
TItemPropList.Delete |  | Removes an item in the container at the specified position.
TItemPropList.Clear |  | Removes all items in the container.